Merge from mainline.
[bpt/emacs.git] / m4 / gl-comp.m4
1 # DO NOT EDIT! GENERATED AUTOMATICALLY!
2 # Copyright (C) 2002-2011 Free Software Foundation, Inc.
3 #
4 # This file is free software, distributed under the terms of the GNU
5 # General Public License. As a special exception to the GNU General
6 # Public License, this file may be distributed as part of a program
7 # that contains a configuration script generated by Autoconf, under
8 # the same distribution terms as the rest of that program.
9 #
10 # Generated by gnulib-tool.
11 #
12 # This file represents the compiled summary of the specification in
13 # gnulib-cache.m4. It lists the computed macro invocations that need
14 # to be invoked from configure.ac.
15 # In projects that use version control, this file can be treated like
16 # other built files.
17
18
19 # This macro should be invoked from ./configure.in, in the section
20 # "Checks for programs", right after AC_PROG_CC, and certainly before
21 # any checks for libraries, header files, types and library functions.
22 AC_DEFUN([gl_EARLY],
23 [
24 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
25 m4_pattern_allow([^gl_ES$])dnl a valid locale name
26 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
27 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
28 AC_REQUIRE([AC_PROG_RANLIB])
29 # Code from module allocator:
30 # Code from module arg-nonnull:
31 # Code from module c++defs:
32 # Code from module careadlinkat:
33 # Code from module crypto/md5:
34 # Code from module dosname:
35 # Code from module dtoastr:
36 # Code from module extensions:
37 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
38 # Code from module filemode:
39 # Code from module getloadavg:
40 # Code from module getopt-gnu:
41 # Code from module getopt-posix:
42 # Code from module gettext-h:
43 # Code from module ignore-value:
44 # Code from module include_next:
45 # Code from module intprops:
46 # Code from module inttypes-incomplete:
47 # Code from module lstat:
48 # Code from module mktime:
49 # Code from module multiarch:
50 # Code from module readlink:
51 # Code from module socklen:
52 # Code from module ssize_t:
53 # Code from module stat:
54 # Code from module stdarg:
55 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
56 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
57 dnl AC_PROG_CC_STDC arranges for this. With older Autoconf AC_PROG_CC_STDC
58 dnl shouldn't hurt, though installers are on their own to set c99 mode.
59 AC_REQUIRE([AC_PROG_CC_STDC])
60 # Code from module stdbool:
61 # Code from module stddef:
62 # Code from module stdint:
63 # Code from module stdio:
64 # Code from module stdlib:
65 # Code from module strftime:
66 # Code from module strtoull:
67 # Code from module strtoumax:
68 # Code from module symlink:
69 # Code from module sys_stat:
70 # Code from module time:
71 # Code from module time_r:
72 # Code from module unistd:
73 # Code from module verify:
74 # Code from module warn-on-use:
75 ])
76
77 # This macro should be invoked from ./configure.in, in the section
78 # "Check for header files, types and library functions".
79 AC_DEFUN([gl_INIT],
80 [
81 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
82 gl_cond_libtool=false
83 gl_libdeps=
84 gl_ltlibdeps=
85 gl_m4_base='m4'
86 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
87 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
88 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
89 m4_pushdef([gl_LIBSOURCES_LIST], [])
90 m4_pushdef([gl_LIBSOURCES_DIR], [])
91 gl_COMMON
92 gl_source_base='lib'
93 AC_CHECK_FUNCS_ONCE([readlinkat])
94 gl_MD5
95 AC_REQUIRE([gl_C99_STRTOLD])
96 gl_FILEMODE
97 gl_GETLOADAVG([$gl_source_base])
98 gl_STDLIB_MODULE_INDICATOR([getloadavg])
99 gl_FUNC_GETOPT_GNU
100 gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
101 gl_FUNC_GETOPT_POSIX
102 AC_REQUIRE([AC_C_INLINE])
103 gl_INTTYPES_INCOMPLETE
104 gl_FUNC_LSTAT
105 gl_SYS_STAT_MODULE_INDICATOR([lstat])
106 gl_FUNC_MKTIME
107 gl_TIME_MODULE_INDICATOR([mktime])
108 gl_MULTIARCH
109 gl_FUNC_READLINK
110 gl_UNISTD_MODULE_INDICATOR([readlink])
111 gl_TYPE_SOCKLEN_T
112 gt_TYPE_SSIZE_T
113 gl_STDARG_H
114 AM_STDBOOL_H
115 gl_STDDEF_H
116 gl_STDINT_H
117 gl_STDIO_H
118 gl_STDLIB_H
119 gl_FUNC_GNU_STRFTIME
120 gl_FUNC_STRTOUMAX
121 gl_INTTYPES_MODULE_INDICATOR([strtoumax])
122 gl_FUNC_SYMLINK
123 gl_UNISTD_MODULE_INDICATOR([symlink])
124 gl_HEADER_SYS_STAT_H
125 AC_PROG_MKDIR_P
126 gl_HEADER_TIME_H
127 gl_TIME_R
128 gl_TIME_MODULE_INDICATOR([time_r])
129 gl_UNISTD_H
130 gl_gnulib_enabled_dosname=false
131 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
132 gl_gnulib_enabled_stat=false
133 gl_gnulib_enabled_strtoull=false
134 gl_gnulib_enabled_verify=false
135 func_gl_gnulib_m4code_dosname ()
136 {
137 if ! $gl_gnulib_enabled_dosname; then
138 gl_gnulib_enabled_dosname=true
139 fi
140 }
141 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
142 {
143 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
144 AC_SUBST([LIBINTL])
145 AC_SUBST([LTLIBINTL])
146 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
147 fi
148 }
149 func_gl_gnulib_m4code_stat ()
150 {
151 if ! $gl_gnulib_enabled_stat; then
152 gl_FUNC_STAT
153 gl_SYS_STAT_MODULE_INDICATOR([stat])
154 gl_gnulib_enabled_stat=true
155 if $condition; then
156 func_gl_gnulib_m4code_dosname
157 fi
158 fi
159 }
160 func_gl_gnulib_m4code_strtoull ()
161 {
162 if ! $gl_gnulib_enabled_strtoull; then
163 gl_FUNC_STRTOULL
164 gl_STDLIB_MODULE_INDICATOR([strtoull])
165 gl_gnulib_enabled_strtoull=true
166 fi
167 }
168 func_gl_gnulib_m4code_verify ()
169 {
170 if ! $gl_gnulib_enabled_verify; then
171 gl_gnulib_enabled_verify=true
172 fi
173 }
174 if test $GNULIB_UNISTD_H_GETOPT = 1; then
175 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
176 fi
177 if test $REPLACE_LSTAT = 1; then
178 func_gl_gnulib_m4code_dosname
179 fi
180 if test $REPLACE_LSTAT = 1; then
181 func_gl_gnulib_m4code_stat
182 fi
183 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
184 func_gl_gnulib_m4code_stat
185 fi
186 if test "$ac_cv_have_decl_strtoumax" != yes && test $ac_cv_func_strtoumax = no; then
187 func_gl_gnulib_m4code_verify
188 fi
189 if test "$ac_cv_have_decl_strtoumax" != yes && test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
190 func_gl_gnulib_m4code_strtoull
191 fi
192 m4_pattern_allow([^gl_GNULIB_ENABLED_])
193 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
194 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
195 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
196 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
197 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
198 # End of code from modules
199 m4_ifval(gl_LIBSOURCES_LIST, [
200 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
201 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
202 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
203 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
204 exit 1
205 fi
206 done])dnl
207 m4_if(m4_sysval, [0], [],
208 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
209 ])
210 m4_popdef([gl_LIBSOURCES_DIR])
211 m4_popdef([gl_LIBSOURCES_LIST])
212 m4_popdef([AC_LIBSOURCES])
213 m4_popdef([AC_REPLACE_FUNCS])
214 m4_popdef([AC_LIBOBJ])
215 AC_CONFIG_COMMANDS_PRE([
216 gl_libobjs=
217 gl_ltlibobjs=
218 if test -n "$gl_LIBOBJS"; then
219 # Remove the extension.
220 sed_drop_objext='s/\.o$//;s/\.obj$//'
221 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
222 gl_libobjs="$gl_libobjs $i.$ac_objext"
223 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
224 done
225 fi
226 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
227 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
228 ])
229 gltests_libdeps=
230 gltests_ltlibdeps=
231 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
232 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
233 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
234 m4_pushdef([gltests_LIBSOURCES_LIST], [])
235 m4_pushdef([gltests_LIBSOURCES_DIR], [])
236 gl_COMMON
237 gl_source_base='tests'
238 changequote(,)dnl
239 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
240 changequote([, ])dnl
241 AC_SUBST([gltests_WITNESS])
242 gl_module_indicator_condition=$gltests_WITNESS
243 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
244 m4_pattern_allow([^gl_GNULIB_ENABLED_])
245 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
246 m4_ifval(gltests_LIBSOURCES_LIST, [
247 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
248 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
249 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
250 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
251 exit 1
252 fi
253 done])dnl
254 m4_if(m4_sysval, [0], [],
255 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
256 ])
257 m4_popdef([gltests_LIBSOURCES_DIR])
258 m4_popdef([gltests_LIBSOURCES_LIST])
259 m4_popdef([AC_LIBSOURCES])
260 m4_popdef([AC_REPLACE_FUNCS])
261 m4_popdef([AC_LIBOBJ])
262 AC_CONFIG_COMMANDS_PRE([
263 gltests_libobjs=
264 gltests_ltlibobjs=
265 if test -n "$gltests_LIBOBJS"; then
266 # Remove the extension.
267 sed_drop_objext='s/\.o$//;s/\.obj$//'
268 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
269 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
270 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
271 done
272 fi
273 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
274 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
275 ])
276 LIBGNU_LIBDEPS="$gl_libdeps"
277 AC_SUBST([LIBGNU_LIBDEPS])
278 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
279 AC_SUBST([LIBGNU_LTLIBDEPS])
280 ])
281
282 # Like AC_LIBOBJ, except that the module name goes
283 # into gl_LIBOBJS instead of into LIBOBJS.
284 AC_DEFUN([gl_LIBOBJ], [
285 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
286 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
287 ])
288
289 # Like AC_REPLACE_FUNCS, except that the module name goes
290 # into gl_LIBOBJS instead of into LIBOBJS.
291 AC_DEFUN([gl_REPLACE_FUNCS], [
292 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
293 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
294 ])
295
296 # Like AC_LIBSOURCES, except the directory where the source file is
297 # expected is derived from the gnulib-tool parameterization,
298 # and alloca is special cased (for the alloca-opt module).
299 # We could also entirely rely on EXTRA_lib..._SOURCES.
300 AC_DEFUN([gl_LIBSOURCES], [
301 m4_foreach([_gl_NAME], [$1], [
302 m4_if(_gl_NAME, [alloca.c], [], [
303 m4_define([gl_LIBSOURCES_DIR], [lib])
304 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
305 ])
306 ])
307 ])
308
309 # Like AC_LIBOBJ, except that the module name goes
310 # into gltests_LIBOBJS instead of into LIBOBJS.
311 AC_DEFUN([gltests_LIBOBJ], [
312 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
313 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
314 ])
315
316 # Like AC_REPLACE_FUNCS, except that the module name goes
317 # into gltests_LIBOBJS instead of into LIBOBJS.
318 AC_DEFUN([gltests_REPLACE_FUNCS], [
319 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
320 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
321 ])
322
323 # Like AC_LIBSOURCES, except the directory where the source file is
324 # expected is derived from the gnulib-tool parameterization,
325 # and alloca is special cased (for the alloca-opt module).
326 # We could also entirely rely on EXTRA_lib..._SOURCES.
327 AC_DEFUN([gltests_LIBSOURCES], [
328 m4_foreach([_gl_NAME], [$1], [
329 m4_if(_gl_NAME, [alloca.c], [], [
330 m4_define([gltests_LIBSOURCES_DIR], [tests])
331 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
332 ])
333 ])
334 ])
335
336 # This macro records the list of files which have been installed by
337 # gnulib-tool and may be removed by future gnulib-tool invocations.
338 AC_DEFUN([gl_FILE_LIST], [
339 build-aux/arg-nonnull.h
340 build-aux/c++defs.h
341 build-aux/warn-on-use.h
342 lib/allocator.c
343 lib/allocator.h
344 lib/careadlinkat.c
345 lib/careadlinkat.h
346 lib/dosname.h
347 lib/dtoastr.c
348 lib/filemode.c
349 lib/filemode.h
350 lib/ftoastr.c
351 lib/ftoastr.h
352 lib/getloadavg.c
353 lib/getopt.c
354 lib/getopt.in.h
355 lib/getopt1.c
356 lib/getopt_int.h
357 lib/gettext.h
358 lib/ignore-value.h
359 lib/intprops.h
360 lib/inttypes.in.h
361 lib/lstat.c
362 lib/md5.c
363 lib/md5.h
364 lib/mktime-internal.h
365 lib/mktime.c
366 lib/readlink.c
367 lib/stat.c
368 lib/stdarg.in.h
369 lib/stdbool.in.h
370 lib/stddef.in.h
371 lib/stdint.in.h
372 lib/stdio.in.h
373 lib/stdlib.in.h
374 lib/strftime.c
375 lib/strftime.h
376 lib/strtoimax.c
377 lib/strtol.c
378 lib/strtoul.c
379 lib/strtoull.c
380 lib/strtoumax.c
381 lib/symlink.c
382 lib/sys_stat.in.h
383 lib/time.in.h
384 lib/time_r.c
385 lib/unistd.in.h
386 lib/verify.h
387 m4/00gnulib.m4
388 m4/c-strtod.m4
389 m4/extensions.m4
390 m4/filemode.m4
391 m4/getloadavg.m4
392 m4/getopt.m4
393 m4/gnulib-common.m4
394 m4/include_next.m4
395 m4/inttypes.m4
396 m4/longlong.m4
397 m4/lstat.m4
398 m4/md5.m4
399 m4/mktime.m4
400 m4/multiarch.m4
401 m4/readlink.m4
402 m4/socklen.m4
403 m4/ssize_t.m4
404 m4/st_dm_mode.m4
405 m4/stat.m4
406 m4/stdarg.m4
407 m4/stdbool.m4
408 m4/stddef_h.m4
409 m4/stdint.m4
410 m4/stdio_h.m4
411 m4/stdlib_h.m4
412 m4/strftime.m4
413 m4/strtoull.m4
414 m4/strtoumax.m4
415 m4/symlink.m4
416 m4/sys_stat_h.m4
417 m4/time_h.m4
418 m4/time_r.m4
419 m4/tm_gmtoff.m4
420 m4/unistd_h.m4
421 m4/warn-on-use.m4
422 m4/wchar_t.m4
423 ])